<?php

$sql_events_table = '
CREATE TABLE '.$REX['TABLE_PREFIX']."120_".'events (
  `ID` int(11) unsigned NOT NULL auto_increment,
  `AREAID` varchar(100) NOT NULL default \'\',
  `DATE` varchar(8) NOT NULL default \'\',
  `WEEKDAY` char(1) NOT NULL default \'\',
  `TIME` varchar(12) NOT NULL default \'\',
  `SPECIAL` char(1) NOT NULL default \'\',
  `IMPORTANT` char(1) NOT NULL default \'\',
  `HOLIDAY` char(1) NOT NULL default \'\',
  `PUBLIC` char(1) NOT NULL default \'\',
  `EVENT` text NOT NULL,
  `UPDATE` timestamp NOT NULL default CURRENT_TIMESTAMP on update CURRENT_TIMESTAMP,
  PRIMARY KEY  (`ID`),
  KEY `Datum` (`DATE`)
)
';

$sql_section_table = '
CREATE TABLE '.$REX['TABLE_PREFIX']."120_".'sections (
  `ID` int(6) unsigned NOT NULL auto_increment,
  `NAME` varchar(255) NOT NULL default \'\',
  `DESCRIPTION` text NOT NULL,
  `ACTIVE` int(1) NOT NULL default \'0\',
  `UPDATE` timestamp NOT NULL default CURRENT_TIMESTAMP on update CURRENT_TIMESTAMP,
  PRIMARY KEY  (`ID`),
  KEY `Section` (`NAME`)
)
';

$a046578_sqlConn = new rex_sql;
$a046578_sqlConn->setQuery($sql_events_table);
$a046578_sqlConn->setQuery($sql_section_table);

$REX['ADDON']['install']['event_cal'] = 1;

?>