<?php

if (!defined("EVENT_CAL") || EVENT_CAL != "1") { exit; }

#
# Einholen der Kategorien
#
$aid120_sql = "SELECT ID, NAME FROM ".$REX['TABLE_PREFIX'].$REX['ADDON']['rxid'][$a046578]."_"."sections ";
$aid120_sql .= "ORDER BY NAME";
$a046578_sqlConn->flush();
$aid120_sections = $a046578_sqlConn->getArray($aid120_sql);


#
# Eintrag lschen
#
if (isset($_POST['aid120_event']['but_del'])) {
	$a046578_tmp = key($_POST['aid120_event']['but_del']);
	$sql  = "DELETE FROM ".$REX['TABLE_PREFIX'].$REX['ADDON']['rxid'][$a046578]."_"."events ";
	$sql .= "WHERE ID = '".$a046578_tmp."'";
	$a046578_sqlConn->flush();      
	$a046578_sqlConn->setQuery($sql);
}

#
# Eintrag anlegen oder modifizieren
#
if (isset($_POST['aid120_event']['but_entry'])) {

	$i = key($_POST['aid120_event']['but_entry']);
	
	if (isset($_POST['aid120_event'][$i]['time'])) { 
	    $col['time'] = $_POST['aid120_event'][$i]['time']; 
	} else {
		$col['time'] = "";
	}
    if (isset($_POST['aid120_event'][$i]['special'])) { 
	    $col['special'] = "Y"; 
	} else {
		$col['special'] = "N";
	}
    if (isset($_POST['aid120_event'][$i]['important'])) { 
	    $col['important'] = "Y"; 
	} else {
		$col['important'] = "N";
	}
	if (isset($_POST['aid120_event'][$i]['holiday'])) { 
	    $col['holiday'] = "Y"; 
	} else {
		$col['holiday'] = "N";
	}
	
    if ($i <= 0) {
	    $sql  = "INSERT INTO ".$REX['TABLE_PREFIX'].$REX['ADDON']['rxid'][$a046578]."_"."events ";
	    $sql .= "(AREAID,WEEKDAY,TIME,SPECIAL,IMPORTANT,HOLIDAY,PUBLIC,EVENT) VALUES (";
	    $sql .= "'".$_POST['aid120_event'][$i]['areaid']."','".$_POST['aid120_event'][$i]['weekday']."','".$col['time']."', ";
	    $sql .= "'".$col['special']."','".$col['important']."','".$col['holiday']."', '', ";
	    $sql .= "'".$_POST['aid120_event'][$i]['event']."')";
	    $a046578_sqlConn->flush();       
		$a046578_sqlConn->setQuery($sql);
    } elseif ($i > 0) {
	    $sql  = "UPDATE ".$REX['TABLE_PREFIX'].$REX['ADDON']['rxid'][$a046578]."_"."events SET ";
		$sql .= "AREAID = '".$_POST['aid120_event'][$i]['areaid']."', ";
	    $sql .= "WEEKDAY = '".$_POST['aid120_event'][$i]['weekday']."', ";
	    $sql .= "TIME = '".$col['time']."', SPECIAL = '".$col['special']."', IMPORTANT = '".$col['important']."', ";
	    $sql .= "HOLIDAY = '".$col['holiday']."', EVENT = '".$_POST['aid120_event'][$i]['event']."' "; 
	    $sql .= "WHERE ID = '".$i."'";
	    $a046578_sqlConn->flush();       
		$a046578_sqlConn->setQuery($sql);
    }

}

# Holt Standardtermine aus DB
$sql  = "SELECT * FROM ".$REX['TABLE_PREFIX'].$REX['ADDON']['rxid'][$a046578]."_"."events ";
$sql .= "WHERE (DATE like '' or DATE is null) ";
$sql .= "AND WEEKDAY IS NOT NULL AND WEEKDAY != '' ";
$sql .= "ORDER BY WEEKDAY, TIME";
$a046578_sqlConn->flush();
$a046578_std_events = $a046578_sqlConn->getArray($sql);
if (!isset($a046578_std_events)) { $a046578_std_events = array(); }

# Generiert Select-Feld Kategorien
$aid120_selSection = new rex_select;
$aid120_selSection->setName("aid120_event[0][areaid]");
while (list($k, $v) = each($aid120_sections)) {
	$aid120_selSection->addOption($v['NAME'], $v['ID']);
}
$aid120_selSection->setStyle("width:175px;");
$aid120_selSection->setSize("1");

# Generiert Tagesauswahl
$a046578_selWeekday = new rex_select;
$a046578_selWeekday->setName("aid120_event[0][weekday]");
for ($i1=1;$i1<=7;$i1++) {
	$a046578_selWeekday->addOption($a046578_weekdays[$i1], $i1);
}
unset($i1);	
$a046578_selWeekday->setSize("1");

#
# Standardtermine Listing
#
$a046578_htm_std_events = '
	<table width="100%" class="rex-table">
	<caption>'.$I18N_046578->msg("table_std").'</caption>
    <thead><tr>
    	<th width="250">Kategorie &amp; Datum | Zeit</td>
        <th width="250">Termin</td>
        <th align="center" width="45">Extra</th>
        <th align="center" width="45">Wichtig</th>
        <th align="center" width="70">Eintrag</th>
        <th align="center" width="70">L&ouml;schen</th>
        <th></th>
    </tr></thead>
    
    <tr>
    	<td valign="top" width="190"><a name="0"></a>
		'.$aid120_selSection->get().'</ br>
    	'.$a046578_selWeekday->get().' 
    	| <input type="text" name="aid120_event[0][time]" style="width:70px;text-align:center;" value=""></td>
    	<td valign="top" width="250"><textarea name="aid120_event[0][event]" rows="2" wrap="off" style="width:250px;"></textarea></td>
    	<td align="center" valign="top" width="70"><input type="checkbox" name="aid120_event[0][special]" value="x"></td>
    	<td align="center" valign="top" width="70"><input type="checkbox" name="aid120_event[0][important]" value="x"></td>
    	<td align="center" valign="top" width="70"><input type="submit" name="aid120_event[but_entry][0]" value="'.$I18N_046578->msg("submit_new").'" style="width:70px;"></td>
    	<td align="center" valign="top" width="70"></td>
    	<td valign="top"></td>
    </tr>
    
    <thead><tr>
    	<th width="250">Kategorie &amp; Datum | Zeit</td>
        <th width="250">Termin</td>
        <th align="center" width="45">Extra</th>
        <th align="center" width="45">Wichtig</th>
        <th align="center" width="70">Eintrag</th>
        <th align="center" width="70">L&ouml;schen</th>
        <th></th>
    </tr></thead>
';
reset($a046578_std_events);
while (list($k, $v) = each($a046578_std_events)) {
	
    $i = $v['ID'];
    if ($v['SPECIAL'] == 'Y') { $v['SPECIAL'] = "checked"; } else { $v['SPECIAL'] = ""; }
    if ($v['IMPORTANT'] == 'Y') { $v['IMPORTANT'] = "checked"; } else { $v['IMPORTANT'] = ""; }
    if ($v['HOLIDAY'] == 'Y') { $v['HOLIDAY'] = "checked"; } else { $v['HOLIDAY'] = ""; }
    $v['DATE'] = "".substr($v['DATE'], 6, 2)."-".substr($v['DATE'], 4, 2)."-".substr($v['DATE'], 0, 4)."";

	# Generiert Select-Feld Kategorien
	$aid120_selSection = new rex_select;
	$aid120_selSection->setName("aid120_event[$i][areaid]");
	reset($aid120_sections);
	while (list($k2, $v2) = each($aid120_sections)) {
		$aid120_selSection->addOption($v2['NAME'], $v2['ID']);
	}
	$aid120_selSection->setStyle("width:175px;");
	$aid120_selSection->setSelected($v['AREAID']);
	$aid120_selSection->setSize("1");
	
    # Generiert Tagesauswahl
	$a046578_selWeekday = new rex_select;
	$a046578_selWeekday->setName("aid120_event[$i][weekday]");
	for ($i1=1;$i1<=7;$i1++) {
		$a046578_selWeekday->addOption($a046578_weekdays[$i1], $i1);
	}
	unset($i1);	
	$a046578_selWeekday->setSelected($v['WEEKDAY']);
	$a046578_selWeekday->setSize("1");
    
    $a046578_htm_std_events .= '
        <tr>
            <td valign="top" width="190"><a name="'.$i.'"></a>
			'.$aid120_selSection->get().'</ br>
            '.$a046578_selWeekday->get().' 
            | <input type="text" name="aid120_event['.$i.'][time]" style="width:70px;text-align:center;" value="'.$v['TIME'].'"></td>
            <td valign="top" width="250"><textarea name="aid120_event['.$i.'][event]" rows="2" wrap="off" style="width:250px;">'.$v['EVENT'].'</textarea></td>
            <td align="center" valign="top" width="70"><input type="checkbox" name="aid120_event['.$i.'][special]" value="x" '.$v['SPECIAL'].'></td>
            <td align="center" valign="top" width="70"><input type="checkbox" name="aid120_event['.$i.'][important]" value="x" '.$v['IMPORTANT'].'></td>
            <td align="center" valign="top" width="70"><input type="submit" name="aid120_event[but_entry]['.$i.']" value="'.$I18N_046578->msg("submit_entry").'" style="width:70px;"></td>
            <td align="center" valign="top" width="70"><input type="submit" name="aid120_event[but_del]['.$i.']" value="'.$I18N_046578->msg("submit_delete").'" style="width:70px;"></td>
            <td valign="top"></td>
        </tr>
    ';

}

echo '<form action="'.$_SERVER['PHP_SELF'].'?page=event_cal&subpage=std" method="post" name="a046578_F">';
echo $a046578_htm_std_events.'</table>';
echo '</form>';

?>