<?php

if (!defined("EVENT_CAL") || EVENT_CAL != "1") { exit; }


#
# Einholen der Kategorien
#
$aid120_sql = "SELECT ID, NAME FROM ".$REX['TABLE_PREFIX'].$REX['ADDON']['rxid'][$a046578]."_"."sections ";
$aid120_sql .= "ORDER BY NAME";
$a046578_sqlConn->flush();
$aid120_sections = $a046578_sqlConn->getArray($aid120_sql);

# Generiert Select-Feld Kategorien
$aid120_selSection = new rex_select;
$aid120_selSection->setName("a046578_event[0][areaid]");
while (list($k, $v) = each($aid120_sections)) {
	$aid120_selSection->addOption($v['NAME'], $v['ID']);
}
$aid120_selSection->setStyle("width:140px;margin-bottom:7px;");
$aid120_selSection->setSize("1");


if (!isset($_POST['a046578_view_month'])) {
    $_POST['a046578_view_month'] = date("m");
}
if (!isset($_POST['a046578_view_year'])) {
    $_POST['a046578_view_year'] = date("Y");
}


#
# Termin lschen
#
if (isset($_POST['a046578_event']['but_del'])) {
	$a046578_tmp = key($_POST['a046578_event']['but_del']);
	$sql  = "DELETE FROM ".$REX['TABLE_PREFIX'].$REX['ADDON']['rxid'][$a046578]."_"."events ";
	$sql .= "WHERE ID = '".$a046578_tmp."'";
	$a046578_sqlConn->flush();       
	$a046578_sqlConn->setQuery($sql);    
}



#
# Monat mit Standardterminen fllen
#
if (isset($_POST['a046578_setStdMonth'])) {

	$sql  = "SELECT * FROM ".$REX['TABLE_PREFIX'].$REX['ADDON']['rxid'][$a046578]."_"."events ";
    $sql .= "WHERE (DATE like '' or DATE is null) ";
    $sql .= "AND WEEKDAY IS NOT NULL AND WEEKDAY != ''";
    $sql .= "ORDER BY WEEKDAY, TIME";
    $a046578_sqlConn->flush();
    $a046578_tmp = $a046578_sqlConn->getArray($sql);
    
    # Falls mehrere Termine an einem Wochentag
	while(list($k, $v) = each($a046578_tmp )) {
	    $a046578_std_events[$v['WEEKDAY']][] = $v;
	}
	
	# Durchluft Anzahl der Tage des angegebenen Monats und trgt Termine ein
    for ($i=1;$i<=date('t', mktime(0,0,0,$_POST['a046578_view_month'],1,$_POST['a046578_view_year']));$i++) {
	    
	    # Konvertiert Wochentag von 3BS->Zahl 7 = Sonntag
        $a046578_cur_weekday = $a046578_dayName[date('D', mktime(0,0,0,$_POST['a046578_view_month'],$i,$_POST['a046578_view_year']))];
        $a046578_cur_date = date("Ymd", mktime(0,0,0,$_POST['a046578_view_month'],$i,$_POST['a046578_view_year']));

        if (!isset($a046578_std_events[$a046578_cur_weekday])) {
            continue;
        }
        
        reset($a046578_std_events[$a046578_cur_weekday]);
        while (list($k, $v) = each($a046578_std_events[$a046578_cur_weekday])) {
	        $sql  = "INSERT INTO ".$REX['TABLE_PREFIX'].$REX['ADDON']['rxid'][$a046578]."_"."events ";
	        $sql .= "(AREAID,DATE,WEEKDAY,TIME,SPECIAL,IMPORTANT,HOLIDAY,PUBLIC,EVENT) VALUES (";
	        $sql .= "'".$v['AREAID']."','".$a046578_cur_date."','".$a046578_cur_weekday."','".$v['TIME']."', ";
	        $sql .= "'".$v['SPECIAL']."','".$v['IMPORTANT']."','".$v['HOLIDAY']."','','".$v['EVENT']."')";
	        $a046578_sqlConn->flush();
	        $a046578_sqlConn->setQuery($sql);
        }
        unset($a046578_cur_weekday);
    }
}

#
# Eintragungen editieren
#
if (isset($_POST['a046578_event']['but_entry'])) {


	$i = key($_POST['a046578_event']['but_entry']);

	# Handling des Datums und berprfung
	if (!eregi("^[0-9]{1,2}-[0-9]{1,2}-[0-9]{4}$", $_POST['a046578_event'][$i]['date'])) {
		$a046578_error = "&#187; ".$I18N_046578->msg("error_date_invalid_format")."<br />";		
	} else {
		$a046578_tmp = array_reverse(sscanf($_POST['a046578_event'][$i]['date'],"%d-%d-%d"));

		if (!checkdate($a046578_tmp[1], $a046578_tmp[2], $a046578_tmp[0])) {
			$a046578_error = "&#187; ".$I18N_046578->msg("error_date_invalid")."<br />";
		}
	}
	$col['date'] = date("Ymd", strtotime(implode("-", $a046578_tmp)));
	$col['weekday'] = $a046578_dayName[date("D", strtotime($col['date']))];
	 
	if (isset($_POST['a046578_event'][$i]['time'])) { 
	    $col['time'] = $_POST['a046578_event'][$i]['time']; 
	} else {
		$col['time'] = "";
	}
    if (isset($_POST['a046578_event'][$i]['special'])) { 
	    $col['special'] = "Y"; 
	} else {
		$col['special'] = "N";
	}
    if (isset($_POST['a046578_event'][$i]['important'])) { 
	    $col['important'] = "Y"; 
	} else {
		$col['important'] = "N";
	}
	if (isset($_POST['a046578_event'][$i]['holiday'])) { 
	    $col['holiday'] = "Y"; 
	} else {
		$col['holiday'] = "N";
	}
	
    if ($i <= 0 && $a046578_error == "0") {
	    $sql  = "INSERT INTO ".$REX['TABLE_PREFIX'].$REX['ADDON']['rxid'][$a046578]."_"."events ";
	    $sql .= "(AREAID,DATE,WEEKDAY,TIME,SPECIAL,IMPORTANT,HOLIDAY,PUBLIC,EVENT) VALUES (";
	    $sql .= "'".$_POST['a046578_event'][$i]['areaid']."','".$col['date']."','".$col['weekday']."','".$col['time']."', ";
	    $sql .= "'".$col['special']."','".$col['important']."','".$col['holiday']."', '', ";
	    $sql .= "'".$_POST['a046578_event'][$i]['event']."')";
	    $a046578_sqlConn->flush();       
		$a046578_sqlConn->setQuery($sql);
		echo $sql;
    } elseif ($i > 0 && $a046578_error == "0") {
	    $sql  = "UPDATE ".$REX['TABLE_PREFIX'].$REX['ADDON']['rxid'][$a046578]."_"."events SET ";
		$sql .= "AREAID = '".$_POST['a046578_event'][$i]['areaid']."', ";
	    $sql .= "DATE = '".$col['date']."', WEEKDAY = '".$col['weekday']."', ";
	    $sql .= "TIME = '".$col['time']."', SPECIAL = '".$col['special']."', IMPORTANT = '".$col['important']."', ";
	    $sql .= "HOLIDAY = '".$col['holiday']."', EVENT = '".$_POST['a046578_event'][$i]['event']."' "; 
	    $sql .= "WHERE ID = '".$i."'";
	    $a046578_sqlConn->flush();       
		$a046578_sqlConn->setQuery($sql);
    }


}


# Auswahl des zu bearbeitenden Monats
$a046578_selMonth = new rex_select;
$a046578_selMonth->setName("a046578_view_month");
for ($i=1;$i<=12;$i++) {
	$a046578_selMonth->addOption($a046578_monthName[date("m", mktime(0,0,0,$i,7,2000))], date("m", mktime(0,0,0,$i,7,2000)));	
}
$a046578_selMonth->setSelected($_POST['a046578_view_month']);
$a046578_selMonth->setSize("1");


# Auswahl des zu bearbeitenden Jahres
$sql  = "SELECT max(DATE), min(DATE) ";
$sql .= "FROM ".$REX['TABLE_PREFIX'].$REX['ADDON']['rxid'][$a046578]."_"."events ";
$sql .= "WHERE DATE IS NOT NULL AND DATE != ''";

$a046578_yearframe = $a046578_sqlConn->getArray($sql);
if (!isset($a046578_yearframe) || $a046578_yearframe[0]['min(DATE)'] == "" || $a046578_yearframe[0]['max(DATE)'] == "") { 
	$a046578_yearframe['min(DATE)'] = date("Ymd"); 
	$a046578_yearframe['max(DATE)'] = date("Ymd"); 
} else {
	$a046578_yearframe['min(DATE)'] = $a046578_yearframe[0]['min(DATE)'];
	$a046578_yearframe['max(DATE)'] = $a046578_yearframe[0]['max(DATE)'];	
}

$a046578_selYear = new rex_select;
$a046578_selYear->setName("a046578_view_year");
for ($i=substr($a046578_yearframe['min(DATE)'],0,4); $i<=substr($a046578_yearframe['max(DATE)'],0,4) + 1; $i++) {
	$a046578_selYear->addOption($i, $i);
}
$a046578_selYear->setSelected($_POST['a046578_view_year']);
$a046578_selYear->setSize("1");
$a046578_selYear->setStyle("width:70px;");


#
# Abfrage der Terminansicht / Ausgabe als Tabellenzeilen
#
$sql  = "SELECT * FROM ".$REX['TABLE_PREFIX'].$REX['ADDON']['rxid'][$a046578]."_"."events ";
$sql .= "WHERE DATE LIKE '".$_POST['a046578_view_year']."".$_POST['a046578_view_month']."%' ";
$sql .= "ORDER BY DATE, TIME";

$a046578_sqlConn->flush();
$a046578_events = $a046578_sqlConn->getArray($sql);

if (!isset($a046578_events)) { $a046578_events = array(); }

$a046578_html_view_events = '
    <thead><tr>
    	<th>W.Tag</th>
    	<th>Kategorie &amp; Datum/Zeit</th>
        <th width="350">Termin</th>
        <th align="center" width="70">Eintrag</th>
        <th align="center" width="70">L&ouml;schen</th>
        <th></th>
    </tr></thead>
    
    <tr>
    	<td>&nbsp;</td>
    	<td style="vertical-align:top;"><a name="0"></a>'.$aid120_selSection->get().'<br /><input type="text" name="a046578_event[0][date]" style="margin-bottom:7px;text-align:center;" value=""><br /><input type="text" name="a046578_event[0][time]" style="text-align:center;" value=""></td>
        <td valign="top" width="350">
          <textarea name="a046578_event[0][event]" rows="2" wrap="off" style="width:350px;"></textarea><br>
          Extra <input type="checkbox" name="a046578_event[0][special]" value="x"> 
          Wichtig <input type="checkbox" name="a046578_event[0][important]" value="x"> 
          Feiertag <input type="checkbox" name="a046578_event[0][holiday]" value="x">
        </td>
        <td align="center" valign="top" width="70"><input type="submit" name="a046578_event[but_entry][0]" value="Neu" style="width:70px;"></td>
        <td align="center" valign="top" width="70">&nbsp;</td>
        <td valign="top"></td>
    </tr>
    
    <thead><tr>
    	<th>W.Tag</th>
    	<th>Datum &amp; Uhrzeit</th>
      <th width="350">Termin</th>
      <th align="center" width="70">Eintrag</th>
      <th align="center" width="70">L&ouml;schen</th>
      <th></th>
    </tr></thead>
';
reset($a046578_events);
while (list($k, $v) = each($a046578_events)) {

	$i = $v['ID'];
    if ($v['SPECIAL'] == 'Y') { $a046578_event['SPECIAL'] = "checked"; } else { $a046578_event['SPECIAL'] = ""; }
    if ($v['IMPORTANT'] == 'Y') { $a046578_event['IMPORTANT'] = "checked"; } else { $a046578_event['IMPORTANT'] = ""; }
    if ($v['HOLIDAY'] == 'Y') { $a046578_event['HOLIDAY'] = "checked"; } else { $a046578_event['HOLIDAY'] = ""; }
	$a046578_event['WEEKDAY'] = $I18N_046578->msg("short_weekday_".date("D", strtotime($v['DATE'])));
    $a046578_event['DATESTR'] = date("d-m-Y", strtotime($v['DATE']));

	# Generiert Select-Feld Kategorien
	$aid120_selSection = new rex_select;
	$aid120_selSection->setName("a046578_event[".$i."][areaid]");
	reset($aid120_sections);
	while (list($k2, $v2) = each($aid120_sections)) {
		$aid120_selSection->addOption($v2['NAME'], $v2['ID']);
	}
	$aid120_selSection->setSelected($v['AREAID']);
	$aid120_selSection->setStyle("width:140px;margin-bottom:7px;");
	$aid120_selSection->setSize("1");
	
	#echo $v['AREAID']."---";
	
    $a046578_html_view_events .= '
        <tr>
        	<td style="vertical-align:middle;font-size:17px;font-weight:bold;color:gray;text-align:center;">'.$a046578_event['WEEKDAY'].'</td>
			<td style="vertical-align:top;"><a name="'.$i.'"></a>
				'.$aid120_selSection->get().'<br />
				<input type="text" name="a046578_event['.$i.'][date]" style="margin-bottom:7px;text-align:center;color:maroon;" value="'.$a046578_event['DATESTR'].'"><br />
				<input type="text" name="a046578_event['.$i.'][time]" style="text-align:center;" value="'.$v['TIME'].'">
			</td>
            <td valign="top" width="350">
              <textarea name="a046578_event['.$i.'][event]" rows="2" wrap="off" class="formelement" style="width:350px;">'.$v['EVENT'].'</textarea><br>
              Extra <input type="checkbox" name="a046578_event['.$i.'][special]" value="x" '.$a046578_event['SPECIAL'].'> 
              Wichtig <input type="checkbox" name="a046578_event['.$i.'][important]" value="x" '.$a046578_event['IMPORTANT'].'> 
              Feiertag <input type="checkbox" name="a046578_event['.$i.'][holiday]" value="x" '.$a046578_event['HOLIDAY'].'>
            </td>
            <td align="center" valign="top" width="70"><input type="submit" name="a046578_event[but_entry]['.$i.']" value="'.$I18N_046578->msg("submit_entry").'" class="formbutton" style="width:70px;"></td>
            <td align="center" valign="top" width="70"><input type="submit" name="a046578_event[but_del]['.$i.']" value="'.$I18N_046578->msg("submit_delete").'" class="formbutton" style="width:70px;"></td>
            <td valign="top"></td>     
        </tr>
    ';
    unset($a046578_event);
    
}


#
# Beginn der Hauptausgabe
#

echo '<form action="'.$_SERVER['PHP_SELF'].'?page=event_cal&sub=edit" method="post" name="a046578_F">';
echo '<p class="rex-hdl">';
echo $a046578_selMonth->show().' '.$a046578_selYear->show();
echo '<input type="submit" name="a046578_selectTimeInterval" value="'.$I18N_046578->msg("submit_time_interval_choice").'">';
echo '<input type="submit" name="a046578_setStdMonth" value="'.$I18N_046578->msg("submit_set_std_month").'">';
echo '</p></form><br>'."\n\n";

if($a046578_error != '0')
{
	echo "<table border=0 cellpadding=5 cellspacing=1 width=100%><tr><td class=warning style=\"color:red;\">".$a046578_error."</td></tr></table><br>";
}

echo '<form action="'.$_SERVER['PHP_SELF'].'?page=event_cal&subpage=edit" method="post" name="a046578_F2">';
echo '<input type="hidden" name="a046578_view_year" value="'.$_POST['a046578_view_year'].'">';
echo '<input type="hidden" name="a046578_view_month" value="'.$_POST['a046578_view_month'].'">';
echo '<table width="100%" class="rex-table"><caption>'.$I18N_046578->msg("table_month").'</caption>';
echo $a046578_html_view_events."</table>";
echo '</form>';

?>